part of http;

/// HTTP 响应
abstract class HTTPResponse {
  /// 状态码
  int get statusCode;

  /// 内容
  String get content;

  /// 构造函数
  factory HTTPResponse(int statusCode, String content) =>
      _HTTPResponse(statusCode, content);
}

class _HTTPResponse implements HTTPResponse {
  final int _statusCode;
  final String _content;

  @override
  int get statusCode => _statusCode;
  @override
  String get content => _content;

  _HTTPResponse(this._statusCode, this._content);
}
